public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Thomas Deutschmann" <whissi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/pulseaudio/
Date: Sun, 20 Jun 2021 22:08:23 +0000 (UTC)	[thread overview]
Message-ID: <1624226893.6c66f69d5e76fc323e084652a1f317a8a9eafa63.whissi@gentoo> (raw)

commit:     6c66f69d5e76fc323e084652a1f317a8a9eafa63
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 20 22:07:52 2021 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sun Jun 20 22:08:13 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6c66f69d

media-sound/pulseaudio: add initial PA 14.x ebuild

Thanks-to: Niklāvs Koļesņikovs
Thanks-to: Igor V. Kovalenko
Thanks-to: Joakim Tjernlund
Closes: https://github.com/gentoo/gentoo/pull/20388
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 media-sound/pulseaudio/Manifest                   |   1 +
 media-sound/pulseaudio/metadata.xml               |   4 +
 media-sound/pulseaudio/pulseaudio-14.2_pre.ebuild | 354 ++++++++++++++++++++++
 3 files changed, 359 insertions(+)

diff --git a/media-sound/pulseaudio/Manifest b/media-sound/pulseaudio/Manifest
index 8c2628da203..24bbfed06ca 100644
--- a/media-sound/pulseaudio/Manifest
+++ b/media-sound/pulseaudio/Manifest
@@ -1 +1,2 @@
 DIST pulseaudio-13.0.tar.xz 1901768 BLAKE2B 651a80f54525f196bcb036d893fedd4d9f34e10459918281397a45f498c31bff0d0c836f4e64aab5ac2612ffd5a0cab1a41ea710bbee5fd34dfc9ea1236deea9 SHA512 d445b8ccd43029a0ca0e456fc9291a79d3434d6496ead7eb329ab348d5249235e8bde6cf2be68765d8f761452dbe1486fb10c739e40b1e67ed75787bbd24ac0c
+DIST pulseaudio-14.2.tar.xz 1951300 BLAKE2B 874a90da4188e5d7384792196996f8d68f691edfdfa630dce04a0f13e31b3273a6d1c5d46d56f851ebd15daf54a3fe4ddd14733b87f877b6ef5e2c982adf997b SHA512 196338cbb26c542301b6d0579070dfbcc42e76dc17405f3e216af70519bec2003089b80c573a32d5f96bdab078631ca09ce89998ab7a0a8ffa26955a9bcb3c4a

diff --git a/media-sound/pulseaudio/metadata.xml b/media-sound/pulseaudio/metadata.xml
index 38993dac40a..d6b7247df40 100644
--- a/media-sound/pulseaudio/metadata.xml
+++ b/media-sound/pulseaudio/metadata.xml
@@ -17,7 +17,11 @@
       PulseAudio plugin enabled. This ensures that clients supporting
       ALSA only will use PulseAudio.
     </flag>
+    <flag name="daemon">Build the pulseaudio binary (not-needed for pipewire-pulse)</flag>
     <flag name="elogind">Use <pkg>sys-auth/elogind</pkg> for giving each session a PA client</flag>
+    <flag name="forget-missing">
+      Enables clearing of unavailable devices from database files which is recommended for GNOME.
+    </flag>
     <flag name="gconf">
       Ensure <pkg>gnome-base/gconf</pkg> is present for pulseaudio GConf
       to GSettings module automatic migration (keeping the user configuration)

diff --git a/media-sound/pulseaudio/pulseaudio-14.2_pre.ebuild b/media-sound/pulseaudio/pulseaudio-14.2_pre.ebuild
new file mode 100644
index 00000000000..032227d4dc9
--- /dev/null
+++ b/media-sound/pulseaudio/pulseaudio-14.2_pre.ebuild
@@ -0,0 +1,354 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+MY_PV="${PV/_pre*}"
+MY_P="${PN}-${MY_PV}"
+
+inherit bash-completion-r1 gnome2-utils meson-multilib optfeature systemd udev
+
+DESCRIPTION="A networked sound server with an advanced plugin system"
+HOMEPAGE="https://www.freedesktop.org/wiki/Software/PulseAudio/"
+
+if [[ ${PV} = 9999 ]]; then
+	inherit git-r3
+	EGIT_BRANCH="master"
+	EGIT_REPO_URI="https://gitlab.freedesktop.org/${PN}/${PN}"
+else
+	SRC_URI="https://freedesktop.org/software/${PN}/releases/${MY_P}.tar.xz"
+	#KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+# libpulse-simple and libpulse link to libpulse-core; this is daemon's
+# library and can link to gdbm and other GPL-only libraries. In this
+# cases, we have a fully GPL-2 package. Leaving the rest of the
+# GPL-forcing USE flags for those who use them.
+LICENSE="!gdbm? ( LGPL-2.1 ) gdbm? ( GPL-2 )"
+
+SLOT="0"
+
+# +alsa-plugin as discussed in bug #519530
+# TODO: Deal with bluez5-gstreamer
+# TODO: Find out why webrtc-aec is + prefixed - there's already the always available speexdsp-aec
+# NOTE: The current ebuild sets +X almost certainly just for the pulseaudio.desktop file
+IUSE="+alsa +alsa-plugin +asyncns bluetooth dbus +daemon doc elogind equalizer forget-missing +gdbm
+gstreamer +glib gtk ipv6 jack lirc native-headset ofono-headset +orc oss selinux sox ssl systemd
+system-wide tcpd test +udev +webrtc-aec +X zeroconf"
+
+RESTRICT="!test? ( test )"
+
+# See "*** BLUEZ support not found (requires D-Bus)" in configure.ac
+# Basically all IUSE are either ${MULTILIB_USEDEP} for client libs or they belong under !daemon ()
+# We duplicate alsa-plugin, {native,ofono}-headset under daemon to let users deal with them at once
+REQUIRED_USE="
+	alsa-plugin? ( alsa )
+	bluetooth? ( dbus )
+	daemon? ( ?? ( elogind systemd ) )
+	!daemon? (
+		!alsa
+		!alsa-plugin
+		!bluetooth
+		!equalizer
+		!gdbm
+		!gtk
+		!jack
+		!lirc
+		!native-headset
+		!ofono-headset
+		!orc
+		!oss
+		!sox
+		!ssl
+		!system-wide
+		!udev
+		!webrtc-aec
+		!zeroconf
+	)
+	equalizer? ( dbus )
+	native-headset? ( bluetooth )
+	ofono-headset? ( bluetooth )
+	udev? ( || ( alsa oss ) )
+	zeroconf? ( dbus )
+"
+
+# NOTE:
+# - dev-libs/libpcre header will be used if found but no linking is done
+#   on non-Windows
+# - meson is currently always checking for doxygen,
+#   see https://gitlab.freedesktop.org/pulseaudio/pulseaudio/-/issues/1226
+BDEPEND="
+	app-doc/doxygen
+	dev-libs/libpcre
+	sys-devel/gettext
+	sys-devel/m4
+	virtual/libiconv
+	virtual/libintl
+	virtual/pkgconfig
+	orc? ( >=dev-lang/orc-0.4.15 )
+	system-wide? ( dev-util/unifdef )
+	test? ( >=dev-libs/check-0.9.10 )
+"
+
+# NOTE:
+# - libpcre needed in some cases, bug #472228
+# - media-libs/speexdsp is providing echo canceller implementation
+COMMON_DEPEND="
+	>=media-libs/libsndfile-1.0.20[${MULTILIB_USEDEP}]
+	>=media-libs/speexdsp-1.2[${MULTILIB_USEDEP}]
+	virtual/libc
+	alsa? ( >=media-libs/alsa-lib-1.0.24 )
+	asyncns? ( >=net-libs/libasyncns-0.1[${MULTILIB_USEDEP}] )
+	bluetooth? (
+		>=net-wireless/bluez-5
+		media-libs/sbc
+	)
+	daemon? (
+		dev-libs/libltdl
+		sys-kernel/linux-headers
+	)
+	dbus? ( >=sys-apps/dbus-1.4.12[${MULTILIB_USEDEP}] )
+	elogind? ( sys-auth/elogind )
+	equalizer? (
+		sci-libs/fftw:3.0
+	)
+	gdbm? ( sys-libs/gdbm:= )
+	glib? ( >=dev-libs/glib-2.28.0:2[${MULTILIB_USEDEP}] )
+	gstreamer? (
+		media-libs/gst-plugins-base
+		>=media-libs/gstreamer-1.14
+	)
+	gtk? ( x11-libs/gtk+:3 )
+	jack? ( virtual/jack )
+	lirc? ( app-misc/lirc )
+	ofono-headset? ( >=net-misc/ofono-1.13 )
+	orc? ( >=dev-lang/orc-0.4.15 )
+	selinux? ( sec-policy/selinux-pulseaudio )
+	sox? ( >=media-libs/soxr-0.1.1 )
+	ssl? ( dev-libs/openssl:= )
+	systemd? ( sys-apps/systemd:=[${MULTILIB_USEDEP}] )
+	tcpd? ( sys-apps/tcp-wrappers[${MULTILIB_USEDEP}] )
+	udev? ( >=virtual/udev-143[hwdb(+)] )
+	webrtc-aec? ( >=media-libs/webrtc-audio-processing-0.2 )
+	X? (
+		>=x11-libs/libxcb-1.6[${MULTILIB_USEDEP}]
+		daemon? (
+			x11-libs/libICE
+			x11-libs/libSM
+			>=x11-libs/libX11-1.4.0
+			>=x11-libs/libXtst-1.0.99.2
+		)
+	)
+	zeroconf? ( >=net-dns/avahi-0.6.12[dbus] )
+"
+
+DEPEND="
+	${COMMON_DEPEND}
+	dev-libs/libatomic_ops
+	X? ( x11-base/xorg-proto )
+"
+
+# alsa-utils dep is for the alsasound init.d script (see bug 155707); TODO: read it
+# NOTE: Only system-wide needs acct-group/audio unless elogind/systemd is not used
+RDEPEND="
+	${COMMON_DEPEND}
+	system-wide? (
+		alsa? ( media-sound/alsa-utils )
+		acct-user/pulse
+		acct-group/audio
+		acct-group/pulse-access
+	)
+"
+
+# This is a PDEPEND to avoid a circular dep
+PDEPEND="
+	alsa? ( alsa-plugin? ( >=media-plugins/alsa-plugins-1.0.27-r1[pulseaudio,${MULTILIB_USEDEP}] ) )
+"
+
+DOCS=( NEWS README )
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+	default
+
+	gnome2_environment_reset
+}
+
+multilib_src_configure() {
+	local emesonargs=(
+		-Dadrian-aec=false # Not packaged?
+		--localstatedir="${EPREFIX}"/var
+		-Dmodlibexecdir="${EPREFIX}/usr/$(get_libdir)/${PN}/modules" # Was $(get_libdir)/${P}
+		-Dsystemduserunitdir=$(systemd_get_userunitdir)
+		-Dudevrulesdir="$(get_udevdir)"/rules.d
+		-Dbashcompletiondir="$(get_bashcompdir)" # Alternatively DEPEND on app-shells/bash-completion for pkg-config to provide the value
+		$(meson_native_use_feature alsa)
+		$(meson_native_use_bool bluetooth bluez5)
+		$(meson_native_use_bool daemon)
+		$(meson_native_use_bool native-headset bluez5-native-headset)
+		$(meson_native_use_bool ofono-headset bluez5-ofono-headset)
+		$(meson_native_use_feature glib gsettings) # Supposedly correct?
+		$(meson_native_use_feature gstreamer)
+		$(meson_native_use_feature gtk)
+		$(meson_native_use_feature jack)
+		-Dsamplerate=disabled # Matches upstream
+		$(meson_native_use_feature lirc)
+		$(meson_native_use_feature orc)
+		$(meson_native_use_feature oss oss-output)
+		$(meson_native_use_feature ssl openssl)
+		# tests involve random modules, so just do them for the native # TODO: tests should run always
+		$(meson_native_use_bool test tests)
+		$(meson_native_use_feature udev)
+		$(meson_native_use_feature webrtc-aec)
+		$(meson_native_use_feature zeroconf avahi)
+		$(meson_native_use_feature equalizer fftw)
+		$(meson_native_use_feature sox soxr)
+		-Ddatabase=$(multilib_native_usex gdbm gdbm simple) # tdb is also an option but no one cares about it
+		$(meson_use forget-missing stream-restore-clear-old-devices)
+		$(meson_feature glib) # WARNING: toggling this likely changes ABI
+		$(meson_feature asyncns)
+		#$(meson_use cpu_flags_arm_neon neon-opt)
+		$(meson_feature tcpd tcpwrap) # TODO: system-wide specific?
+		$(meson_feature dbus)
+		$(meson_feature elogind)
+		$(meson_feature X x11)
+		$(meson_feature systemd)
+		$(meson_use ipv6)
+	)
+
+	if multilib_is_native_abi; then
+		# Make padsp work for non-native ABI, supposedly only possible with glibc;
+		# this is used by /usr/bin/padsp that comes from native build, thus we need
+		# this argument for native build
+		if use elibc_glibc; then
+			emesonargs+=( -Dpulsedsp-location="${EPREFIX}"'/usr/\\$$LIB/pulseaudio' )
+		fi
+	else
+		if ! use elibc_glibc; then
+			# Non-glibc multilib is probably non-existent but just in case:
+			ewarn "padsp wrapper for OSS emulation will only work with native ABI applications!"
+		fi
+	fi
+
+	meson_src_configure
+}
+
+multilib_src_compile() {
+	meson_src_compile
+
+	if multilib_is_native_abi; then
+		if use doc; then
+			einfo "Generating documentation ..."
+			meson_src_compile doxygen
+		fi
+	fi
+}
+
+multilib_src_install() {
+	# The files referenced in the DOCS array do not exist in the multilib source directory,
+	# therefore clear the variable when calling the function that will access it.
+	DOCS= meson_src_install
+
+	if multilib_is_native_abi; then
+		if use doc; then
+			einfo "Installing documentation ..."
+			docinto html
+			dodoc -r doxygen/html/.
+		fi
+	fi
+}
+
+multilib_src_install_all() {
+	einstalldocs
+
+	if use system-wide; then
+		newconfd "${FILESDIR}"/pulseaudio.conf.d pulseaudio
+
+		use_define() {
+			local define=${2:-$(echo ${1} | tr '[:lower:]' '[:upper:]')}
+
+			use "${1}" && echo "-D${define}" || echo "-U${define}"
+		}
+
+		unifdef \
+			$(use_define zeroconf AVAHI) \
+			$(use_define alsa) \
+			$(use_define bluetooth) \
+			$(use_define udev) \
+			"${FILESDIR}"/pulseaudio.init.d-5 \
+			> "${T}"/pulseaudio \
+			|| die
+
+		doinitd "${T}"/pulseaudio
+
+		systemd_dounit "${FILESDIR}"/${PN}.service
+
+		# We need /var/run/pulse, bug 442852
+		systemd_newtmpfilesd "${FILESDIR}"/${PN}.tmpfiles ${PN}.conf
+	else
+		# Prevent warnings when system-wide is not used, bug 447694
+		if use dbus && use daemon; then
+			rm "${ED}"/etc/dbus-1/system.d/pulseaudio-system.conf || die
+		fi
+	fi
+
+	if use zeroconf; then
+		sed -i \
+			-e '/module-zeroconf-publish/s:^#::' \
+			"${ED}/etc/pulse/default.pa" \
+			|| die
+	fi
+
+	find "${ED}" \( -name '*.a' -o -name '*.la' \) -delete || die
+}
+
+pkg_postinst() {
+	gnome2_schemas_update
+
+	if use system-wide; then
+		elog "You have enabled the 'system-wide' USE flag for pulseaudio."
+		elog "This mode should only be used on headless servers, embedded systems,"
+		elog "or thin clients. It will usually require manual configuration, and is"
+		elog "incompatible with many expected pulseaudio features."
+		elog "On normal desktop systems, system-wide mode is STRONGLY DISCOURAGED."
+		elog ""
+		elog "For more information, see"
+		elog "    https://www.freedesktop.org/wiki/Software/PulseAudio/Documentation/User/WhatIsWrongWithSystemWide/"
+		elog "    https://www.freedesktop.org/wiki/Software/PulseAudio/Documentation/User/SystemWide/"
+		elog "    https://wiki.gentoo.org/wiki/PulseAudio#Headless_server"
+		elog ""
+	fi
+
+	if use equalizer; then
+		elog "You will need to load some extra modules to make qpaeq work."
+		elog "You can do that by adding the following two lines in"
+		elog "/etc/pulse/default.pa and restarting pulseaudio:"
+		elog "load-module module-equalizer-sink"
+		elog "load-module module-dbus-protocol"
+		elog ""
+	fi
+
+	if use native-headset && use ofono-headset; then
+		elog "You have enabled both native and ofono headset profiles. The runtime decision"
+		elog "which to use is done via the 'headset' argument of module-bluetooth-discover."
+		elog ""
+	fi
+
+	if use systemd && use daemon; then
+		elog "It's recommended to start pulseaudio via its systemd user units:"
+		elog ""
+		elog "  systemctl --user enable pulseaudio.service pulseaudio.socket"
+		elog ""
+		elog "The change from autospawn to user units will take effect after restarting."
+		elog ""
+	fi
+
+	optfeature_header "PulseAudio can be enhanced by installing the following:"
+	use equalizer && optfeature "using the qpaeq script" dev-python/PyQt5[dbus,widgets]
+	use dbus && optfeature "restricted realtime capabilities via D-Bus" sys-auth/rtkit
+}
+
+pkg_postrm() {
+	gnome2_schemas_update
+}


             reply	other threads:[~2021-06-20 22:08 UTC|newest]

Thread overview: 194+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-06-20 22:08 Thomas Deutschmann [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-10-28 19:53 [gentoo-commits] repo/gentoo:master commit in: media-sound/pulseaudio/ Sam James
2022-07-31  3:29 Sam James
2022-07-31  3:29 Sam James
2022-07-31  3:29 Sam James
2022-07-31  3:29 Sam James
2022-07-29  8:02 Agostino Sarubbo
2022-07-29  3:18 Sam James
2022-07-29  1:53 Sam James
2022-07-08 22:09 Sam James
2022-06-21  1:23 Sam James
2022-06-12  8:32 Agostino Sarubbo
2022-06-12  8:30 Agostino Sarubbo
2022-06-11  7:40 Agostino Sarubbo
2022-06-11  7:40 Agostino Sarubbo
2022-06-11  7:39 Agostino Sarubbo
2022-06-11  7:37 Agostino Sarubbo
2022-06-10  8:10 Sam James
2022-06-10  6:58 Sam James
2022-06-10  6:56 Sam James
2022-05-28 19:19 Sam James
2022-05-28  1:29 Sam James
2022-05-25 15:47 Jakov Smolić
2022-05-16 12:35 Jakov Smolić
2022-05-16 12:21 Jakov Smolić
2022-03-28  5:00 Matt Turner
2022-03-18  0:35 Sam James
2022-03-18  0:35 Sam James
2022-03-18  0:35 Sam James
2022-03-11 15:22 Sam James
2022-03-08 13:31 Sam James
2022-02-27  1:04 Sam James
2022-01-01 20:07 David Seifert
2021-12-28 22:26 Sam James
2021-10-29 11:16 Sam James
2021-10-29  2:24 Sam James
2021-10-28 14:03 Agostino Sarubbo
2021-10-28 14:00 Agostino Sarubbo
2021-10-27 13:48 Pacho Ramos
2021-10-27  4:14 Sam James
2021-10-27  4:14 Sam James
2021-09-24 18:16 Mart Raudsepp
2021-09-23 20:32 Mart Raudsepp
2021-09-23 16:48 Mart Raudsepp
2021-09-23 16:42 Mart Raudsepp
2021-09-23 16:42 Mart Raudsepp
2021-09-23 14:10 Mart Raudsepp
2021-09-23 14:10 Mart Raudsepp
2021-08-18 19:39 Sam James
2021-07-28 20:06 Thomas Deutschmann
2021-07-28 10:35 Thomas Deutschmann
2021-07-06 23:17 Thomas Deutschmann
2021-07-06 23:17 Thomas Deutschmann
2021-06-29 16:22 Mike Gilbert
2021-06-22 23:49 Thomas Deutschmann
2021-06-20 22:53 Thomas Deutschmann
2021-06-20 22:30 Thomas Deutschmann
2021-05-15 15:39 Andreas Sturmlechner
2021-04-30 11:06 Mikle Kolyada
2021-04-18 15:04 Matt Turner
2021-02-16 19:21 Sam James
2021-02-04 23:51 Sam James
2021-02-02  4:18 Sam James
2021-02-01 13:33 Sam James
2021-02-01 13:31 Sam James
2021-02-01 13:30 Sam James
2021-02-01  8:27 Sam James
2020-12-14 16:47 Mike Gilbert
2020-11-23 22:06 Mart Raudsepp
2020-11-06  3:55 Matt Turner
2020-05-06 17:25 Michał Górny
2020-01-11 19:24 Mart Raudsepp
2020-01-01 16:06 Mart Raudsepp
2020-01-01 15:25 Agostino Sarubbo
2019-12-12 14:58 Michał Górny
2019-12-09  9:14 Agostino Sarubbo
2019-12-09  9:11 Agostino Sarubbo
2019-12-09  0:10 Aaron Bauman
2019-12-08 11:59 Mikle Kolyada
2019-12-08 11:58 Mikle Kolyada
2019-12-08 11:52 Mikle Kolyada
2019-12-08 11:41 Mikle Kolyada
2019-10-20 17:38 Mart Raudsepp
2019-10-16 23:56 Matt Turner
2019-10-09  9:29 Agostino Sarubbo
2019-09-17  6:50 Mart Raudsepp
2019-09-08  1:13 Thomas Deutschmann
2019-09-03  0:16 Aaron Bauman
2019-09-02 10:11 Agostino Sarubbo
2019-09-02  9:32 Agostino Sarubbo
2019-09-01 18:20 Mikle Kolyada
2019-08-31  5:26 Mikle Kolyada
2019-06-05  7:12 Agostino Sarubbo
2019-06-04 13:17 Agostino Sarubbo
2019-05-02 21:32 Mikle Kolyada
2019-04-20 18:45 Mikle Kolyada
2019-04-07 21:01 Sergei Trofimovich
2019-04-02  9:09 Mikle Kolyada
2019-04-02  1:37 Thomas Deutschmann
2019-03-23  9:24 Mart Raudsepp
2018-12-28  3:46 Matt Turner
2018-12-07 20:07 Sergei Trofimovich
2018-12-05  7:34 Mikle Kolyada
2018-12-05  7:07 Mikle Kolyada
2018-12-04 16:27 Mikle Kolyada
2018-12-02 14:29 Mikle Kolyada
2018-12-02 10:12 Mikle Kolyada
2018-12-01 14:51 Sergei Trofimovich
2018-08-07 23:01 Mart Raudsepp
2018-07-30 21:50 Sergei Trofimovich
2018-07-29 10:35 Sergei Trofimovich
2018-07-27 11:50 Mart Raudsepp
2018-07-27 11:50 Mart Raudsepp
2018-07-27 11:50 Mart Raudsepp
2018-07-27 11:50 Mart Raudsepp
2018-07-27 11:50 Mart Raudsepp
2018-07-16 10:15 Mart Raudsepp
2018-07-16 10:15 Mart Raudsepp
2018-07-10 19:47 Markus Meier
2018-07-07  9:02 Sergei Trofimovich
2018-06-28 15:12 Craig Andrews
2018-06-28 13:19 Lars Wendler
2018-06-26  8:06 Lars Wendler
2018-06-25 23:20 Thomas Deutschmann
2018-06-25 21:59 Pacho Ramos
2018-06-25 16:06 Tobias Klausmann
2018-06-22 10:09 Lars Wendler
2018-06-22  7:22 Mikle Kolyada
2018-06-21 20:54 Lars Wendler
2018-06-21 15:07 Lars Wendler
2018-06-21  9:34 Lars Wendler
2018-06-21  6:33 Sergei Trofimovich
2018-06-17 17:51 Mike Gilbert
2018-06-07 14:22 Manuel Rüger
2018-06-02 17:09 Andreas Sturmlechner
2018-04-30 15:58 Mike Gilbert
2018-01-04 10:57 Lars Wendler
2017-12-27 13:02 Mart Raudsepp
2017-12-27  8:35 Markus Meier
2017-12-20 20:23 Mart Raudsepp
2017-12-19 19:14 Thomas Deutschmann
2017-12-16 14:04 Tobias Klausmann
2017-12-02 10:41 Sergei Trofimovich
2017-11-23 20:47 Sergei Trofimovich
2017-11-18 13:20 Sergei Trofimovich
2017-11-06 20:49 Tobias Klausmann
2017-11-04 13:04 Sergei Trofimovich
2017-09-21 20:57 Gilles Dartiguelongue
2017-09-11 21:55 Gilles Dartiguelongue
2017-09-11 21:55 Gilles Dartiguelongue
2017-09-11 21:55 Gilles Dartiguelongue
2017-09-04  6:57 Gilles Dartiguelongue
2017-08-22 15:57 Michał Górny
2017-06-20 12:12 Alexis Ballier
2017-03-28 12:19 Mart Raudsepp
2017-03-28 12:19 Mart Raudsepp
2017-03-16 13:24 Jeroen Roovers
2017-02-24 21:29 Michael Weber
2017-02-24 14:07 Agostino Sarubbo
2017-02-21  9:16 Tobias Klausmann
2017-02-18 14:44 Agostino Sarubbo
2017-02-17 10:56 Agostino Sarubbo
2017-01-26 10:56 Mart Raudsepp
2017-01-19  9:44 Lars Wendler
2016-12-06 20:41 Markus Meier
2016-10-03  6:12 Jeroen Roovers
2016-07-02 17:12 Pacho Ramos
2016-06-14 16:22 Lars Wendler
2016-05-03 20:27 Markus Meier
2016-03-07 18:50 Alexis Ballier
2016-03-06 20:36 Mikle Kolyada
2016-01-23 13:54 Pacho Ramos
2016-01-23 11:48 Manuel Rüger
2015-11-19 10:04 Agostino Sarubbo
2015-11-18  9:09 Agostino Sarubbo
2015-11-18  5:47 Jeroen Roovers
2015-11-16 14:08 Agostino Sarubbo
2015-11-14 10:28 Agostino Sarubbo
2015-11-13  9:12 Agostino Sarubbo
2015-11-12 11:07 Agostino Sarubbo
2015-11-11  8:20 Agostino Sarubbo
2015-11-10 17:02 Agostino Sarubbo
2015-11-03 22:35 Manuel Rüger
2015-10-18 11:29 Mikle Kolyada
2015-10-07  1:03 Chí-Thanh Christopher Nguyễn
2015-10-04 21:21 Julian Ospald
2015-10-03  8:41 Markus Meier
2015-09-28  4:44 Jeroen Roovers
2015-09-24 18:30 Pacho Ramos
2015-09-20  6:11 Jeroen Roovers
2015-09-16  8:43 Tobias Klausmann
2015-09-10 20:51 Pacho Ramos
2015-09-07 21:55 Mikle Kolyada
2015-08-10 16:23 Tobias Klausmann

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1624226893.6c66f69d5e76fc323e084652a1f317a8a9eafa63.whissi@gentoo \
    --to=whissi@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox